<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Exemple</title>
    <style>
        body {
            overflow: hidden;
        }

        .page {
            position: absolute;
            width: 100vw;
            height: 100vh;
            overflow-y: auto;
            left: 0;
            padding: 20px;
        }

        #single {
            display: none;
        }

        #all section {
            display: flex;
            padding: 10px;
        }

        #all section article {
            padding: 10px;
            margin: 10px;
            border: 1px solid lightgray;
        }
        #all section article:hover {
            background-color: rgba(0, 0, 0, 0.2);
        }
    </style>
</head>
<body>

    <div id="all" class="page">
        <h1>All the dogs</h1>
        <section></section>
    </div>

    <div class="page" id="single">
        <h1></h1>
        <p></p>
        <button>Back</button>
    </div>
    
    <script>
        
        const pageAll = document.querySelector('#all');
        const pageSingle = document.querySelector('#single');
        

        pageSingle.querySelector('button').addEventListener('click', () => {
            pageAll.style.display = 'block';
            pageSingle.style.display = 'none'
        })
        initAll();
        
        async function initAll() {

            const response = await fetch('http://localhost:8080/api/dog')
            const data = await response.json();
            for (const dog of data) {
                const article = document.createElement('article');
                article.innerHTML = `
                    <h2>${dog.name}</h2>
                    <p>${dog.breed}</p>
                `;
                article.addEventListener('click', () =>{
                    goToSingle(dog.id);
                });
                pageAll.querySelector('section').append(article);
            }
        }

        async function goToSingle(id) {
            
            pageAll.style.display = 'none';
            pageSingle.style.display = 'block';
            const response = await fetch('http://localhost:8080/api/dog/'+id)
            const data = await response.json();
            pageSingle.querySelector('h1').textContent = data.name;
            pageSingle.querySelector('p').innerHTML = `breed : ${data.breed}<br>birthdate : ${data.birthdate}`
        }
    </script>
</body>
</html>